<?php
/**
 * Ribbon with bottom button
 *
 * @package zerif
 */

$zerif_bottomribbon_text = get_theme_mod( 'zerif_bottomribbon_text' );


if ( ! empty( $zerif_bottomribbon_text ) ) {


	echo '<section class="separator-one" id="ribbon_bottom">';


	echo '<div class="color-overlay">';

	/* text */

	echo '<h3 class="container text" data-scrollreveal="enter left after 0s over 1s">' . wp_kses_post( $zerif_bottomribbon_text ) . '</h3>';


	$zerif_bottomribbon_buttonlabel = get_theme_mod( 'zerif_bottomribbon_buttonlabel' );

	$zerif_bottomribbon_buttonlink = get_theme_mod( 'zerif_bottomribbon_buttonlink' );

	$zerif_accessibility = get_theme_mod( 'zerif_accessibility' );


	if ( ! empty( $zerif_bottomribbon_buttonlabel ) && ! empty( $zerif_bottomribbon_buttonlink ) ) {


		echo '<div data-scrollreveal="enter right after 0s over 1s" class="zerif-buttons-container">';

		if ( isset( $zerif_accessibility ) && $zerif_accessibility == 1 ) {
			echo '<button class="btn btn-primary custom-button green-btn" onclick="window.location=\'' . esc_url( $zerif_bottomribbon_buttonlink ) . '\';"><span class="screen-reader-text">' . wp_kses_post( $zerif_bottomribbon_buttonlabel ) . '</span>' . wp_kses_post( $zerif_bottomribbon_buttonlabel ) . '</button>';
		} else {
			echo '<a href="' . esc_url( $zerif_bottomribbon_buttonlink ) . '" class="btn btn-primary custom-button green-btn">' . wp_kses_post( $zerif_bottomribbon_buttonlabel ) . '</a>';
		}

		echo '</div>';

	} elseif ( is_customize_preview() ) {

		echo '<div data-scrollreveal="enter right after 0s over 1s" class="zerif-buttons-container">';

		if ( isset( $zerif_accessibility ) && $zerif_accessibility == 1 ) {
			echo '<button class="btn btn-primary custom-button green-btn zerif_hidden_if_not_customizer"><span class="screen-reader-text"></span></button>';
		} else {
			echo '<a href="" class="btn btn-primary custom-button green-btn zerif_hidden_if_not_customizer"></a>';
		}

		echo '</div>';

	}

	zerif_ribbon_with_bottom_button_after_button_trigger();


	echo '</div>';


	echo '</section>';

} elseif ( is_customize_preview() ) {

	echo '<section class="separator-one zerif_hidden_if_not_customizer" id="ribbon_bottom">';

	echo '<div class="color-overlay">';

	/* text */

	echo '<h3 class="container text" data-scrollreveal="enter left after 0s over 1s"></h3>';

	$zerif_bottomribbon_buttonlabel = get_theme_mod( 'zerif_bottomribbon_buttonlabel' );

	$zerif_bottomribbon_buttonlink = get_theme_mod( 'zerif_bottomribbon_buttonlink' );


	if ( ! empty( $zerif_bottomribbon_buttonlabel ) && ! empty( $zerif_bottomribbon_buttonlink ) ) {


		echo '<div data-scrollreveal="enter right after 0s over 1s" class="zerif-buttons-container">';


		echo '<a href="' . esc_url( $zerif_bottomribbon_buttonlink ) . '" class="btn btn-primary custom-button green-btn">' . wp_kses_post( $zerif_bottomribbon_buttonlabel ) . '</a>';


		echo '</div>';


	} elseif ( is_customize_preview() ) {

		echo '<div data-scrollreveal="enter right after 0s over 1s" class="zerif-buttons-container">';


		echo '<a href="" class="btn btn-primary custom-button green-btn zerif_hidden_if_not_customizer"></a>';


		echo '</div>';

	}

	zerif_ribbon_with_bottom_button_after_button_trigger();


	echo '</div>';


	echo '</section>';

} // End if().
